package com.alibaba.druid.sql.dialect.db2.ast.stmt.alterTable;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.statement.SQLAlterTableItem;
import com.alibaba.druid.sql.dialect.db2.ast.DB2SQLObjectImpl;
import com.alibaba.druid.sql.dialect.db2.visitor.DB2ASTVisitor;

public class DB2AlterTableRenameConstraint extends DB2SQLObjectImpl implements SQLAlterTableItem {
   private SQLExpr col;
   private SQLExpr to;

   public void accept0(DB2ASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.col);
         this.acceptChild(visitor, this.to);
      }

      visitor.endVisit(this);
   }

   public SQLExpr getCol() {
      return this.col;
   }

   public void setCol(SQLExpr col) {
      col.setParent(this);
      this.col = col;
   }

   public SQLExpr getTo() {
      return this.to;
   }

   public void setTo(SQLExpr to) {
      to.setParent(this);
      this.to = to;
   }

   public DB2AlterTableRenameConstraint clone() {
      DB2AlterTableRenameConstraint c = new DB2AlterTableRenameConstraint();
      c.setTo(this.to.clone());
      c.setCol(this.col.clone());
      return c;
   }
}
